Bug 195780 - [PATCH] ports-mgmt/portlint: exclude .git directory from error report
Summary: [PATCH] ports-mgmt/portlint: exclude .git directory from error report
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-07 16:18 UTC by Yasuhiro Kimura
Modified: 2015-02-04 17:11 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
Exclude .git directory from error. (1.86 KB, patch)
2014-12-07 16:18 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2014-12-07 16:18:42 UTC
Created attachment 150308 [details]
Exclude .git directory from error.

* Exclude .git directory from error report.
* Bump micro version.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-07 16:18:42 UTC
Auto-assigned to maintainer marcus@FreeBSD.org
Comment 2 Joe Marcus Clarke freebsd_committer 2014-12-23 21:10:52 UTC
Committed to my CVS repo pending the next release.
Comment 3 commit-hook freebsd_committer 2015-02-04 17:11:07 UTC
A commit references this bug:

Author: marcus
Date: Wed Feb  4 17:10:06 UTC 2015
New revision: 378408
URL: https://svnweb.freebsd.org/changeset/ports/378408

Log:
  Update to 2.16.2.

  * Exclude .git directories from error reporting [1]
  * Add some additional Perl checks for STAGEDIR [2]
  * Try not to flag on direct use of "install" if we're running a make command [3]
  * Fix the checks for Perl given the new hierarchy [4]

  PR:		195780 [1]
  		194759 [3]
  		196222 [4]
  Submitted by:	gerald [3]
  		Yasuhiro KIMURA <yasu@utahime.org> [1]
  Requested by:	mat [2]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 4 Joe Marcus Clarke freebsd_committer 2015-02-04 17:11:29 UTC
Committed, thanks!